Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-05-27 05:53:22 +0400
committerJunio C Hamano <junkio@cox.net>2007-05-27 05:53:22 +0400
commitc56ed464b0ba275d9f2e3598c61b391e98fc217b (patch)
treef8d204103c41c8decf415c34a1b48b8c9bc9bd54 /git-merge.sh
parentddcf786fd7d5755711439371dcfd9a7ba1dfa7a5 (diff)
parentd1c7c27ea3d9c92be2c7a9c5fc72ba5f228c424a (diff)
Merge branch 'maint'
* maint: Fix git-svn to handle svn not reporting the md5sum of a file, and test. Fix mishandling of $Id$ expanded in the repository copy in convert.c More echo "$user_message" fixes. Add tests for the last two fixes. git-commit: use printf '%s\n' instead of echo on user-supplied strings git-am: use printf instead of echo on user-supplied strings Documentation: Add definition of "evil merge" to GIT Glossary Replace the last 'dircache's by 'index' Documentation: Clean up links in GIT Glossary
Diffstat (limited to 'git-merge.sh')
-rwxr-xr-xgit-merge.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/git-merge.sh b/git-merge.sh
index 351676f6d4..ff92aaf3f9 100755
--- a/git-merge.sh
+++ b/git-merge.sh
@@ -329,7 +329,7 @@ f,*)
then
echo "Wonderful."
result_commit=$(
- echo "$merge_msg" |
+ printf '%s\n' "$merge_msg" |
git-commit-tree $result_tree -p HEAD -p "$1"
) || exit
finish "$result_commit" "In-index merge"
@@ -434,7 +434,7 @@ done
if test '' != "$result_tree"
then
parents=$(git-show-branch --independent "$head" "$@" | sed -e 's/^/-p /')
- result_commit=$(echo "$merge_msg" | git-commit-tree $result_tree $parents) || exit
+ result_commit=$(printf '%s\n' "$merge_msg" | git-commit-tree $result_tree $parents) || exit
finish "$result_commit" "Merge made by $wt_strategy."
dropsave
exit 0
@@ -473,7 +473,7 @@ else
do
echo $remote
done >"$GIT_DIR/MERGE_HEAD"
- echo "$merge_msg" >"$GIT_DIR/MERGE_MSG"
+ printf '%s\n' "$merge_msg" >"$GIT_DIR/MERGE_MSG"
fi
if test "$merge_was_ok" = t